[PATCH] TyrQuake v0.53

diff -urN b/Makefile head/Makefile
--- b/Makefile	2006-05-13 18:33:07.000000000 +0930
+++ head/Makefile	2006-05-13 20:11:21.000000000 +0930
@@ -16,7 +16,7 @@
 #
 
 TYR_VERSION_MAJOR = 0
-TYR_VERSION_MINOR = 52
+TYR_VERSION_MINOR = 53
 TYR_VERSION_BUILD =
 
 TYR_VERSION = $(TYR_VERSION_MAJOR).$(TYR_VERSION_MINOR)$(TYR_VERSION_BUILD)
diff -urN b/readme.txt head/readme.txt
--- b/readme.txt	2006-03-09 20:13:22.000000000 +1030
+++ head/readme.txt	2006-05-13 20:28:12.000000000 +0930
@@ -2,8 +2,8 @@
  Tyr-Quake
 -----------
 
-Date:		2006-03-09
-Version: 	0.52
+Date:		2006-05-13
+Version: 	0.53
 Author:		Kevin Shanahan (aka. Tyrann)
 Webpage:	http://disenchant.net
 email:		tyrann@disenchant.net
@@ -19,16 +19,28 @@
 
 Building:
 ---------
-The build process is a little ugly, but pretty straight forward. Just open up
-the Makefile in the tyrquake directory and set the TARGET_APP, TARGET_RENDERER
-and TARGET_OS variables. Then type "make". It works for me under Linux and
-Windows (using MinGW with MSYS - http://www.mingw.org). I only have x86
-machines to test on, but I'd like to hear if anyone gets it working on
-something else...
+The build process was cleaned up a bit in version 0.53, so now all you should
+need to do it type 'make'. This should build all five targets. For my Windows
+builds, I'm using MinGW with Msys.
+
+If you're in a hurry and only want to build one target, you can type 'make
+prepare' (this sets up the build directories) followed by 'make <target>' -
+where <target> is the name of the executable you want to build.
+
+To build a debug version or one without the intel assembly, there are options
+you can select by editing the Makefile.
 
 
 Version History:
 
+v0.53
+=====
+- Add command argument completion for changelevel
+- Re-organised the build system, proper auto dependency generation
+- Fixed sound issue when compiling with GCC 4.1 (compiler bug)
+- Fix QW option menu, "use mouse" option now usable.
+- Fix "particle's look like triangles" GL renderer bug
+
 v0.52
 =====
 - move cmd.[ch] into common directories
